lp:ubuntu/oneiric/armel-cross-toolchain-base

Created by James Westby on 2011-04-28 and last modified on 2011-10-03
Get this branch:
bzr branch lp:ubuntu/oneiric/armel-cross-toolchain-base
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

189. By Marcin Juszkiewicz on 2011-10-03

Refreshed eglibc patches which should fix not reproductible FTFBS - closes
LP: #864591

188. By Marcin Juszkiewicz on 2011-09-29

* Created dummy libc6-arm(el|hf)-arm(hf|el)-cross packages.
* Added PKG_IGNORE_CURRENTLY_BUILDING=1 to each dpkg-deb -b call.

187. By Marcin Juszkiewicz on 2011-09-26

* Documented changes done by repack_debs function.
* Created dummy libc6-dev-arm(el|hf)-cross packages to make multilib cross
 compiler possible.
* libc6-dev-armhf-cross ships symlink to /usr/arm-linux-gnueabi/lib/hf for
 multilib cross compiler.
* Added dpkg to list of ignored dependencies while dpkg-crossing
  packages - libc6-dbg has it in Pre-Depends.

186. By Marcin Juszkiewicz on 2011-08-26

* Integrated changes from PPA builds:
  - use fakeroot for eglibc builds
  - fixed mangling of versions in debian/control
  - added EXTRA_DEPS to get rid of gcc-4.5 dependency
  - lower dpkg dependency to 1.15.5
* Bumped dependency on gcc-4.6 to 4.6.1-6 (patches got merged)
* Refreshed eglibc patches for PPA:
  - new languages were added
  - do not move headers for non-multiarch builds
  - drop Multi-Arch: fields from debian/control for PPA builds
* Depend on unversioned 'linux-source' package - closes LP: #827026
* rewrote lintian overrides support for cross compilation files
  - closes LP: #798991, #760421
* patched binutils to get rid of lintian warnings - closes LP: #760420
* made some functions quiet
* added "|true" to quilt invocations to make them work for empty series
* Debian support related changes:
  - refreshed eglibc patches
  - rewrote build-linux step - closes #611382

185. By Marcin Juszkiewicz on 2011-07-28

Require dpkg-cross 2.6.5 (build fails due to missing dependencies on
Locale/gettext.pm otherwise)

184. By Marcin Juszkiewicz on 2011-07-28

* Rebuild to keep up with Linaro 2011.07 release.
* Use patches from LP: 816852 to disable multilib in gcc build
  - we bootstrap compiler so we lack any libraries and want to build one
    arch at time
* Hack eglibc to remove armhf multilib from armel build.
* Add build-arch and build-indep makefile targets to debian/rules
* Updated components versions for PPA builds

183. By Marcin Juszkiewicz on 2011-06-24

* Rebuild to keep up with Linaro 2011.06 release.
* Updated components versions for PPA builds
* Fixed dir to gcc patches

182. By Marcin Juszkiewicz on 2011-06-13

Update to use linux-source-3.0 instead of linux-source-2.6.39 one.

181. By Marcin Juszkiewicz on 2011-06-08

Rebuild to keep up with gcc-4.6 version - LP: #794534

180. By Marcin Juszkiewicz on 2011-06-03

Added submitted-armhf-triplet patch from Debian eglibc svn r4648 to fix
armhf compilation.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/armel-cross-toolchain-base
This branch contains Public information 
Everyone can see this information.

Subscribers